Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt
Interface Swapper

public interface Swapper

Interface for an object that knows how to swap elements at two positions (a,b).

Version:
  1.0, 03-Jul-99
See Also:
  `GenericSorting`

Method Summary
`void` | `swap(int a, int b)` Swaps the generic data g[a] with g[b].

Method Detail

### swap

    public void swap(int a,
                     int b)

  Swaps the generic data g[a] with g[b].

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage